import java.rmi.*;

public class SessionCounterClient {
    public static void main(String args[]) {
        try {
	        String registryUrl = "rmi://localhost/SessionCounterFactory";
	        SessionCounterFactoryInterface sessionCounterFactory =
            	(SessionCounterFactoryInterface) Naming.lookup(registryUrl);
            System.out.println("### Factory lookup complete");
            SessionCounterInterface sessionCounter = sessionCounterFactory.getSessionCounter();
            System.out.println("### Session counter lookup complete");
            int n = (int) (Math.random()*25 + 1); 
            for (int i=1; i<=n; i++) { 
            	int counter = sessionCounter.getCounter();
            	System.out.println("### SessionCounterClient[" + i + "]: " + counter);
            }
        } catch (Exception e) {
            System.err.println("### SessionCounterClient exception: " +
                               e.getMessage());
            // e.printStackTrace();
        }
    }
}

